Infrastructure/software/frameworks

From Nordic Language Processing Laboratory
(Difference between revisions)
Jump to: navigation, search
(Taito)
(Taito)
Line 18: Line 18:
 
It appears that CSC has started to actively support deep learning, possibly at
 
It appears that CSC has started to actively support deep learning, possibly at
 
least in part in response to requests from NLPL users.
 
least in part in response to requests from NLPL users.
In early 2018, the following packages are available on Taito:
+
In early 2018, the following packages are available on Taito (not all appear
 +
easily discoverable via the <tt>module</tt> command):
  
 
[https://research.csc.fi/software/-/asset_publisher/wfvLxzjnZlJx/content/dynet2 DyNet] 2.0 and 2.0.1, apparently both for CPU and GPU nodes
 
[https://research.csc.fi/software/-/asset_publisher/wfvLxzjnZlJx/content/dynet2 DyNet] 2.0 and 2.0.1, apparently both for CPU and GPU nodes

Revision as of 12:01, 6 March 2018

Background

General programming environments for so-called neural or deep learning (DL) are a prerequisite to much current NLP research, somewhat analogous to compilers or core libraries (like Boost or ICU). These frameworks are not in principle discipline-specific and will often be difficult to install in user space (i.e. without administrator privileges). Thus, general DL support should be provided at the system level (not on a per-project basis), and NLPL will seek to work with the system administrators to make sure that (a) relevant frameworks are available (in all relevant versions, both for CPU and GPU usage) and (b) that system-wide installations provide at least some degree of parallelism between the systems available to NLPL users. These are no small ambitions :-).

Taito

It appears that CSC has started to actively support deep learning, possibly at least in part in response to requests from NLPL users. In early 2018, the following packages are available on Taito (not all appear easily discoverable via the module command):

DyNet 2.0 and 2.0.1, apparently both for CPU and GPU nodes

TensorFlow many versions, from 0.11 through 1.5.0; seemingly only installed for GPU nodes, though page provides instructions for user-level installation of CPU-only version.

ML Bundle Python 2.x and 3.x installations with multiple DL frameworks included, notably MxNet, PyTorch, Theano, and TensorFlow. No version information available for individual DL frameworks, and version scheme for the bundle at large seems to follow Python versions. Seemingly only available on GPU nodes. Potentially troubling announcement that “packages in the Mlpython environments are updated periodically.”

Abel

Personal tools
Namespaces

Variants
Actions
Navigation
Tools